
while ( $seq = <STDIN> )
{
	if ( $seq =~ /GGATCC/ && $seq =~ /GATATC/ )
		{
			print "Both BamHI and EcoRV sites are present!\n";
		}
	else
		{
			print "BamHI _and_ EcoRV sites not present.\n";
		}
}
